Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 11 Nov 2021 02:40:13 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I am supposed to get my delivery last sunday. But because of wrong mobile # indicated i didnt get it so I called the toll free # on Sunday and Monday and the wrong number was resolved. And neither ms. Mira nor Sarah if i am not mistaken informed me that my order has been cancelled.  But when I called this morning and was able to speak  to Ms. Saeda, she informed me that my order has been cancelled and wait for refund within 4-15 days. 

I wanna know why? It was paid. I didnt cancel. 

It's really disappointing. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3336816